Convova
API reference

Events

Published events.

List published events

GET
/events

The public catalog of published events.

Query Parameters

offset?integer

Number of items to skip. Passing offset or limit switches the response to paginated mode.

Range0 <= value
limit?integer

Max items to return (1–100). Without it, a capped full list is returned and pagination is null.

Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://example.com/events"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "name": "string",      "description": "string",      "venue": "string",      "location": "string",      "startDate": "2019-08-24T14:15:22Z",      "endDate": "2019-08-24T14:15:22Z",      "coverImageUrl": "http://example.com",      "status": "draft",      "host": {        "name": "string",        "slug": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}

Get an event by slug

GET
/events/{slug}

A single published event. 404 if it isn't published or doesn't exist.

Path Parameters

slug*string

The event's unique slug.

Response Body

application/json

application/json

curl -X GET "https://example.com/events/string"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "string",    "name": "string",    "description": "string",    "venue": "string",    "location": "string",    "startDate": "2019-08-24T14:15:22Z",    "endDate": "2019-08-24T14:15:22Z",    "coverImageUrl": "http://example.com",    "status": "draft",    "host": {      "name": "string",      "slug": "string"    },    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "error": null,  "pagination": {    "offset": 0,    "limit": 0,    "total": 0,    "hasMore": true  }}